




// Name
//===================================
//
// Warp
//


// DEPENDENCIES
//===================================

    #include "warp.h"


// STATIC PROPERTIES
//===================================

// METHODS
//===================================

    Warp::Warp
    (
        int map_num,
        int entrance_x,
        int entrance_y,
        int camera_x,
        int camera_y
    )
    :
        map_num_ ( map_num ),
        entrance_x_ ( entrance_x ),
        entrance_y_ ( entrance_y ),
        camera_x_ ( camera_x ),
        camera_y_ ( camera_y )
    {};

    Warp::~Warp() {};

    int Warp::mapNum() const
    {
        return map_num_;
    };

    int Warp::entranceX() const
    {
        return entrance_x_;
    };

    int Warp::entranceY() const
    {
        return entrance_y_;
    };

    int Warp::cameraX() const
    {
        return camera_x_;
    };

    int Warp::cameraY() const
    {
        return camera_y_;
    };

    Direction::Horizontal Warp::direction() const
    {
        return direction_;
    };
