

// Name
//===================================
//
// Goal
//

#ifndef GOAL_H
#define GOAL_H


// FORWARD DECLARATIONS
//===================================

    class EventSystem;
    class Inventory;


// DEPENDENCIES
//===================================

    #include <string>


// CLASS
//===================================

    class Goal
    {

        public:
            Goal();
            ~Goal();

            virtual void update( Inventory& inventory, EventSystem& events ) = 0;
            virtual std::string message() = 0;
    };

#endif // GOAL_H
